Editing a driver in poky built version of Linux Kernel 4.1.y

cancel
Showing results for 
Search instead for 
Did you mean: 

Editing a driver in poky built version of Linux Kernel 4.1.y

337 Views
pratik_vadher
Contributor II

Hi, 

I have extracted a poky build of Linux Kernel from SDK 2.0 for the board T1040. I have been able to successfully cross-compile it and run it on the platform. However I now want to update a driver in the poky build, specifically in /driver/net. 

I want to add an updated version of the driver found in the Linux Kernel 4.14. I tried directly replacing an updated version of driver but I am not able to make it 

The following is the log when I try to do that

architech@architech:~/work_ins/linux-4.1.y-modified/linux-qoriq_2/4.1-r0/git$ make menuconfig
scripts/kconfig/mconf Kconfig
net/irda/Kconfig:95: can't open file "drivers/net/irda/Kconfig"
make[1]: *** [menuconfig] Error 1
make: *** [menuconfig] Error 2

Tags (2)
0 Kudos
3 Replies

260 Views
yipingwang
NXP TechSupport
NXP TechSupport

Hello Pratik Vadher,

How did you modified linux Kernel linux-4.1.y?

Would you please provide a patch applied on linux-4.1.y?

Thanks,

Yiping

0 Kudos

260 Views
pratik_vadher
Contributor II

Hi, 

I tried to edit the driver net since there is no support provided for BCM5387 in the Kernel version 4.1.y . However there is a support provided for it in the Kernel 4.1.14 (device tree root/drivers/net/dsa/b53). I tried replacing the whole driver folder in 4.1.y but was not able to compile.

0 Kudos

260 Views
yipingwang
NXP TechSupport
NXP TechSupport

Hello Pratik Vadher,

After apply the attached patch to 4.1.x Kernel provided in SDK 2.0, I can run "make ARCH=powerpc menuconfig", however I encountered a lot of compilation errors.

Please check whether this patch net: phy: b53: switchdev driver for Broadcom BCM53xx switches - Patchwork  would be helpful for your porting work.

Thanks,

Yiping

0 Kudos